# Tenants

{% hint style="warning" %}
To use EverReal playground is required to provide the Bearer token, read more in Master Data page
{% endhint %}

To understand what is necessary and how to use GraphQL, in Master Data page we explain what is necessary to do

{% content-ref url="../how-to-guide/everreal-data-import-process/master-data" %}
[master-data](https://api-docs.everreal.co/how-to-guide/everreal-data-import-process/master-data)
{% endcontent-ref %}

### GraphQL Endpoint

## GraphQL endpoint to perform tenant operations

<mark style="color:green;">`POST`</mark> `http://{custom_subdomain}.everreal.co/api/reporting/graphql`

Body of the request should follow GraphQL mutation structure like

`mutation {`\
&#x20;  `mutationName(input: {MutationNameInput!})`\
&#x20;  `{ MutationNamePayload }`\
`}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/endpoints/tenants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
